<html>
<body>
<table>
<a href=" http://jonathansoma.com/lede/algorithms-2017/classes/clustering/k-means-clustering-with-scikit-learn/" target="_blank">TFIDF</a><br>
<a href=" https://www.kausalvikash.in/python-numpy-interview-questions-and-answers-for-freshers/" target="_blank">NUMPY Interview</a><br>


<a href=" https://www.mathsisfun.com/data/standard-normal-distribution.html" target="_blank">Stat Prelim</a><br>
<a href=" https://towardsdatascience.com/your-ultimate-data-science-statistics-mathematics-cheat-sheet-d688a48ad3db" target="_blank">Stat 1</a><br>
<a href=" https://www.mathsisfun.com/data/standard-normal-distribution.html" target="_blank">Normal Distribution</a><br>


<a href=" https://www.quora.com/What-are-some-good-websites-to-use-to-train-for-interviews" target="_blank">Quora</a><br>
<a href=" https://codingbat.com/" target="_blank">Coding Practise </a><br>
<a href=" http://www.pythonchallenge.com/" target="_blank">Python Challenge</a><br>
<a href=" https://ml-cheatsheet.readthedocs.io/en/latest/" target="_blank">ML Cheat Details </a><br>
<a href="https://machinelearningmastery.com/a-tour-of-machine-learning-algorithms/" target="_blank">ML Algo Summary </a><br>
<a href="https://www.dataquest.io/blog/top-10-machine-learning-algorithms-for-beginners/" target="_blank">ML Algo Summary 2 </a><br>
<a href="https://medium.com/towards-artificial-intelligence/machine-learning-algorithms-for-beginners-with-python-code-examples-ml-19c6afd60daa" target="_blank">ML Algo Summary 3 </a><br>

<a href="https://monkeylearn.com/blog/classification-algorithms/" target="_blank">Classification Problem ML</a><br>

<a href="https://serokell.io/blog/machine-learning-algorithm-classification-overview" target="_blank">Classification Problem ML 2</a><br>



<a href="https://github.com/ashishpatel26/500-AI-Machine-learning-Deep-learning-Computer-vision-NLP-Projects-with-code" target="_blank">AI Projects</a><br>
<a href="https://medium.com/analytics-vidhya/a-beginners-guide-to-k-nearest-neighbor-knn-algorithm-with-code-5015ce8b227e" target="_blank">K Nearest Neighbor</a><br>


<a href=" https://colah.github.io/posts/2015-08-Understanding-LSTMs/" target="_blank">RNN/LSTM </a><br>
<a href=" https://medium.com/datalogue/attention-in-keras-1892773a4f22" target="_blank">Attention </a><br>

<a href=" https://machinelearningmastery.com/encoder-decoder-attention-sequence-to-sequence-prediction-keras/" target="_blank">Attention Encoder Decoder </a><br>

<a href=" https://blog.christianperone.com/2013/09/machine-learning-cosine-similarity-for-vector-space-models-part-iii/" target="_blank">Cosine similarties</a><br>
<a href="https://machinelearningmastery.com/use-word-embedding-layers-deep-learning-keras/" target="_blank">Word Embedding </a><br>
<a href=" https://www.analyticsvidhya.com/blog/2016/09/40-interview-questions-asked-at-startups-in-machine-learning-data-science/" target="_blank">ML Interview </a><br>
<a href=" https://scikit-learn.org/stable/" target="_blank">Sci kit Learn</a><br>
<a href=" https://www.datacamp.com/community/tutorials/random-forests-classifier-python#algorithm" target="_blank">Random Forest</a><br>
<a href="https://towardsdatascience.com/matplotlib-vs-seaborn-vs-plotly-f2b79f5bddb" target="_blank">Visualisation Diff</a><br>
<a href="https://www.simplilearn.com/tutorials/machine-learning-tutorial/machine-learning-interview-questions" target="_blank">ML Interview 2</a><br>

<a href="https://elitedatascience.com/machine-learning-interview-questions-answers" target="_blank">ML/DS Interview 1</a><br>

<a href="https://towardsdatascience.com/top-30-data-science-interview-questions-7dd9a96d3f5c" target="_blank">Data Science Interview</a><br>

<a href="http://jalammar.github.io/illustrated-bert/" target="_blank">BERT Architecture</a><br>
<a href=" https://www.pythoncheatsheet.org/" target="_blank">Python Cheat</a><br>


<a href=" https://stanford.edu/~shervine/teaching/cs-229/cheatsheet-deep-learning" target="_blank">Deep Learning </a><br>

<a href=" https://data-flair.training/blogs/javascript-architecture/" target="_blank">Javascript architecture</a><br>
<a href=" https://scotch.io/bar-talk/4-javascript-design-patterns-you-should-know" target="_blank">Javascript Design Pattern</a><br>

<a href=" https://angular.io/guide/cheatsheet" target="_blank">Angular JS</a><br>

<a href=" https://angular.io/guide/setup-local" target="_blank">Angular JS Setup</a><br>
<a href=" https://medium.com/@ishmeetsingh/google-auth-integration-with-angular-5-and-angular-oauth2-oidc-ed01b997e1df" target="_blank">Angular OAUTH2</a><br>
<a href=" https://developers.google.com/identity/protocols/oauth2/javascript-implicit-flow" target="_blank">Google Auth2</a><br>

<a href=" https://developers.google.com/identity/sign-in/web/server-side-flow" target="_blank">Google Auth2 JS</a><br>
<a href=" https://medium.com/angular-in-depth/the-extensive-guide-to-creating-streams-in-rxjs-aaa02baaff9a" target="_blank">Angular Streams</a><br>

<a href=" https://www.edureka.co/blog/interview-questions/javascript-interview-questions/" target="_blank">JS Interview</a><br>

<a href=" https://www.tutorialspoint.com/angularjs/angularjs_interview_questions.htm" target="_blank">Angular JS Interview 1</a><br>

<a href=" https://www.edureka.co/blog/interview-questions/top-angularjs-interview-questions-2016/" target="_blank">Angular JS Interview Edureka</a><br>
<a href=" https://hackr.io/blog/angular-interview-questions" target="_blank">Angular JS Interview hackr</a><br>
<a href=" https://www.techgeeknext.com/angular/angular-interview-questions" target="_blank">Angular JS Interview Rxjs</a><br>


<a href=" https://docs.angularjs.org/guide/decorators#:~:text=Decorators%20are%20a%20design%20pattern,modified%20prior%20to%20its%20usage." target="_blank">Decorator in Angular</a><br>

<a href=" https://blog.thoughtram.io/angular/2015/05/03/the-difference-between-annotations-and-decorators.html" target="_blank">Annotation vs Decorator in Angular</a><br>




<a href="https://algs4.cs.princeton.edu/cheatsheet/" target="_blank">Data Structure Cheat Sheet</a><br>

<a href=" https://www.bigocheatsheet.com/" target="_blank">BIG O</a><br>

<a href=" https://stackify.com/oops-concepts-in-java/" target="_blank">Java OOPS</a><br>

<a href=" https://www.javatpoint.com/abstract-class-in-java" target="_blank">Java Abstract Class</a><br>

<a href=" https://www.edureka.co/blog/java-architecture/" target="_blank">Java Architecture</a><br>
<a href="https://www.javatpoint.com/spring-boot-architecture#:~:text=It%20is%20used%20to%20create,above%20(hierarchical%20structure)%20it." target="_blank">Spring Boot Architecture</a><br>
<a href="https://spring.io/guides/gs/spring-boot/" target="_blank">Spring Boot Implementation</a><br>
<a href="https://docs.spring.io/spring-boot/docs/2.3.3.RELEASE/reference/htmlsingle/#getting-started-installing-the-cli" target="_blank">Spring Boot Steps</a><br>
<a href="https://www.baeldung.com/spring-boot-security-autoconfiguration" target="_blank">Spring Boot Security Autoconfig</a><br>

<a href="https://developers.google.com/adwords/api/docs/guides/authentication#create_a_client_id_and_client_secret" target="_blank">Set up Google for authentication</a><br>


<a href="https://www.baeldung.com/spring-boot-h2-database" target="_blank">Spring Boot H2 database</a><br>

<a href="https://www.edureka.co/blog/interview-questions/spring-boot-interview-questions/" target="_blank">Spring Boot Interview</a><br>

<a href=" https://dzone.com/articles/5-different-ways-to-create-objects-in-java-with-ex" target="_blank">Java Various way of object handling</a><br>


<a href=" https://www.javatpoint.com/hibernate-tutorial" target="_blank">Various aspect of hibernate</a><br>

<a href=" https://spring.io/guides/gs/accessing-data-jpa/" target="_blank">JPA </a><br>

<a href=" https://www.google.co.in/amp/s/www.geeksforgeeks.org/difference-between-abstract-class-and-interface-in-java/amp/" target="_blank">Interface on absract class. Why it is in use?</a><br>



<a href="https://www.tutorialspoint.com/java/java_multithreading.htm" target="_blank">Core java threading.</a><br>




<a href="https://howtodoinjava.com/java/multi-threading/java-runnable-vs-thread/#:~:text=Java%20only%20supports%20single%20inheritance,can%20only%20extend%20one%20class.&text=Implementing%20Runnable%20makes%20your%20class,doesn't%20have%20to%20be." target="_blank">Threading works and exception of threading.What is runnable.?</a><br>



<a href="https://www.javatpoint.com/exception-handling-in-java#:~:text=Types%20of%20Java%20Exceptions,Checked%20Exception" target="_blank">What are various type of exception?</a><br>



<a href="https://www.google.co.in/amp/s/www.geeksforgeeks.org/garbage-collection-java/amp/" target="_blank">Garbage collector and programme associated with gc.</a><br>




<a href="https://www.tutorialspoint.com/java/java_polymorphism.htm" target="_blank">Polymorhism?</a><br>


<a href="http://brianvanderplaats.com/cheat-sheets/Tree-Data-Structure-Cheat-Sheet.html" target="_blank">Data Structure Tree</a><br>


<a href="https://www.geeksforgeeks.org/sorting-algorithms/" target="_blank">Sort Algorithm in Java</a><br>

<a href="https://stackoverflow.com/questions/40471/differences-between-hashmap-and-hashtable" target="_blank">Hashtable and hashmap diff</a><br>
<a href="https://www.java67.com/2013/06/how-get-method-of-hashmap-or-hashtable-works-internally.html" target="_blank">Internal working of Hashtable /Hashmap</a><br>


<a href="https://www.google.co.in/amp/s/www.journaldev.com/1827/java-design-patterns-example-tutorial/amp" target="_blank">Design Pattern</a><br>

<a href="https://www.java67.com/2013/07/15-advanced-core-java-interview-questions-answers-senior-experienced-5-6-years-programmers-developers.html" target="_blank">Java Interview quest adv</a><br>

<a href="https://www.edureka.co/blog/interview-questions/java-interview-questions/#Jdk-Jre-and-Jvm" target="_blank">Java Interview Edureka</a><br>



<a href="https://javarevisited.blogspot.com/2015/10/133-java-interview-questions-answers-from-last-5-years.html#axzz6fKIkKjy5" target="_blank">Java Interview quest part2</a><br>

<a href="https://www.geeksforgeeks.org/association-composition-aggregation-java/" target="_blank">Associatio/Composition/Aggregation</a><br>

<a href="https://dzone.com/articles/java-8-concepts-fp-lambda-expressions-and-streams#:~:text=Java%208%20supports%20functional%20programming,different%20way%20from%20classic%20collections)." target="_blank">Java 8 new concepts</a><br>

<a href="https://winterbe.com/posts/2015/04/07/java8-concurrency-tutorial-thread-executor-examples/" target="_blank">Java 8 Concurrency</a><br>

<a href="https://www.studytonight.com/post/load-balancing-spring-boot-microservices-using-netflixs-ribbon#" target="_blank">Load Balancer</a><br>



<a href="https://nordicapis.com/what-is-the-difference-between-web-services-and-apis/#:~:text=There%20you%20have%20it%3A%20an,all%20APIs%20are%20web%20services." target="_blank">Diff between Webservice and API</a><br>

<a href="https://www.codecademy.com/articles/what-is-rest" target="_blank">REST</a><br>


<a href="https://explainjava.com/simple-in-memory-cache-java/" target="_blank">Java Cache</a><br>

<a href="https://medium.com/javascript-dots/cache-api-in-javascript-644380391681#:~:text=You%20can%20cache%20a%20resource,data%20and%20set%20the%20cache." target="_blank">Javascript Cache</a><br>


<a href="https://www.javatpoint.com/volatile-keyword-in-java#:~:text=You%20can%20use%20the%20volatile,from%20the%20local%20thread%20cache.&text=It%20reduces%20the%20risk%20of%20memory%20consistency%20error." target="_blank">Java Volatile Guarantee</a><br>


<a href="https://www.java67.com/2013/07/decorator-design-pattern-in-java-real-life-example-tutorial.html" target="_blank">Decorator Pattern</a><br>
<a href="https://javarevisited.blogspot.com/2013/01/data-access-object-dao-design-pattern-java-tutorial-example.html#axzz6fKIkKjy5" target="_blank">DAO Pattern</a><br>


<a href="https://www.gofpatterns.com/design-patterns/module2/three-types-design-patterns.php" target="_blank">Design Pattern 2</a><br>


<a href="https://mkyong.com/java/java-mutable-and-immutable-objects/" target="_blank">Mutable object</a><br>

<a href="https://www.javatpoint.com/spring-mvc-tutorial" target="_blank">Spring MVC</a><br>
<a href="https://www.journaldev.com/16974/mvc-design-pattern" target="_blank">MVC Design Pattern</a><br>

<a href="https://www.tutorialspoint.com/design_pattern/design_pattern_quick_guide.htm" target="_blank">Design Pattern UML Diagram</a><br>
<a href="https://howtodoinjava.com/spring-core/spring-bean-life-cycle/" target="_blank">Spring bean lifecycle</a><br>

<a href="https://www.thoughtco.com/aggregation-2033995" target="_blank">Java Aggregation</a><br>
<a href="https://www.tutorialspoint.com/ant/index.htm" target="_blank">Java ANT</a><br>
<a href="https://www.javatpoint.com/collections-in-java" target="_blank">Java Collections</a><br>

<a href="https://www.oracletutorial.com/oracle-administration/oracle-database-architecture/" target="_blank">Oracle Database Architecture</a><br>

<a href="https://techdifferences.com/difference-between-oltp-and-olap.html" target="_blank">Olap oltp</a><br>






<a href="https://docs.mongodb.com/manual/reference/mongo-shell/" target="_blank">Mongo DB Reference</a><br>


<a href="https://www.bmc.com/blogs/mongodb-cheat-sheet/" target="_blank">Mongo DB Reference 2</a><br>


<a href="https://www.guru99.com/complex-data-types-pl-sql.html" target="_blank">Oracle Collections</a><br>

<a href="https://www.oracletutorial.com/plsql-tutorial/plsql-cursor/" target="_blank">Oracle Cursor</a><br>

<a href="https://www.oradev.com/ref_cursor.jsp" target="_blank">Oracle Ref Cursor</a><br>

<a href="https://cheatography.com/juliosueiras/cheat-sheets/plsql/" target="_blank">PLSQL Cheat</a><br>


<a href="https://www.guru99.com/pl-sql-interview-questions-answers.html" target="_blank">Oracle Interview 1</a><br>

<a href="https://www.softwaretestinghelp.com/plsql-interview-questions/" target="_blank">Oracle Interview 2</a><br>


<a href="https://beginnersbook.com/2015/05/normalization-in-dbms/" target="_blank">Normalization</a><br>

<a href="https://www.onlineinterviewquestions.com/pl-sql-interview-questions/" target="_blank">Oracle Interview 3</a><br>

<a href="https://www.oracle.com/technetwork/database/bi-datawarehousing/twp-explain-the-explain-plan-052011-393674.pdf" target="_blank">Oracle Explain Plan</a><br>


<a href="https://hackernoon.com/database-scaling-horizontal-and-vertical-scaling-85edd2fd9944" target="_blank">Oracle Scalability</a><br>
<a href="http://www.dba-oracle.com/t_order_sequence_sql_execution_explain_plans_steps.htm" target="_blank">Oracle Explain Plan 2</a><br>
<a href="https://www.kompulsa.com/ubuntu-commands-a-cheat-sheet-with-examples/" target="_blank">Ubuntu Cheat 1</a><br>
<a href="https://peoplesofttutorial.com/learn-basic-linux-commands-using-linux-cheat-sheet/" target="_blank">Linux Cheat</a><br>

<a href="https://towardsdatascience.com/how-to-use-machine-learning-for-anomaly-detection-and-condition-monitoring-6742f82900d7" target="_blank">Anomaly Detection</a><br>
<a href=" https://dzone.com/articles/multi-environment-angular-with-dynamic-backend-uri" target="_blank">Docker JS</a><br>

<a href="https://dzone.com/articles/how-to-dockerize-angular-app" target="_blank">Docker Set up JS</a><br>


<a href="https://docs.docker.com/compose/compose-file/" target="_blank">Docker Compose</a><br>

<a href="https://stackify.com/what-is-sdlc/" target="_blank">SDLC</a><br>



<a href="https://www.redhat.com/en/topics/microservices/what-are-microservices" target="_blank">Brief of Microservice</a><br>
<a href="http://www.blackwasp.co.uk/xmlserialization.aspx" target="_blank">Serialize XML</a><br>
<a href="https://stackoverflow.com/questions/33745996/create-new-xml-from-existing-xml-after-xslt-transformation" target="_blank">XSLT Transform</a><br>
<a href="https://www.tutorialspoint.com/junit/junit_writing_tests.htm" target="_blank">Junit</a><br>
<a href="https://www.jenkins.io/pipeline/getting-started-pipelines/" target="_blank">Jenkins Pipeline</a><br>
<a href="https://oscarotero.com/jquery/" target="_blank">Jquery CS</a><br>
<a href="https://htmlcheatsheet.com/jquery/" target="_blank">Jquery CS2</a><br>
<a href="https://www.w3schools.com/jquery/" target="_blank">Jquery Tutorial</a><br>
<a href="https://www.javatpoint.com/jstl" target="_blank">JSTL Tutorial</a><br>

<a href="https://education.github.com/git-cheat-sheet-education.pdf" target="_blank">GIT 1</a><br>
<a href="https://about.gitlab.com/images/press/git-cheat-sheet.pdf" target="_blank">GIT 2</a><br>
<a href="https://www.jrebel.com/blog/git-cheat-sheet" target="_blank">GIT :Way of Working</a><br>


<a href="https://medium.com/big-data-engineering/how-to-install-apache-spark-2-x-in-your-pc-e2047246ffc3" target="_blank">BIG Data Spark Installation </a><br>


<a href="https://www.bogotobogo.com/Hadoop/BigData_hadoop_QuickStart%20VMs%20for%20CDH%205.3.x.php" target="_blank">BIG Data Spark Installation using Oracle VM</a><br>


<a href="https://towardsdatascience.com/a-tutorial-using-spark-for-big-data-an-example-to-predict-customer-churn-9078ac9a1e85" target="_blank">Spark Python Medium </a><br>
<a href="https://www.kaggle.com/getting-started/82265" target="_blank">Bigdata Cheatsheet</a><br>


</table>
</body>
</html>




